Skip to main content
GET
https://api-oms.verolabs.co
/
api
/
v1
/
util
/
orders
Query orders (caller-scoped)
curl --request GET \
  --url https://api-oms.verolabs.co/api/v1/util/orders \
  --header 'Authorization: Bearer <token>'
{
  "order_id": "<string>",
  "account_id": "<string>",
  "symbol": "<string>",
  "order_status": "<string>",
  "limit": 123,
  "offset": 123,
  "count": 123,
  "orders": [
    {
      "originalReqID": "<string>",
      "rawMessageID": 123,
      "receivedAt": "2023-11-07T05:31:56Z",
      "sourceSeq": 123,
      "orderID": "<string>",
      "clOrdID": "<string>",
      "origClOrdID": "<string>",
      "accountID": "<string>",
      "symbol": "<string>",
      "orderSide": "<string>",
      "fixOrderSide": "<string>",
      "orderStatus": "<string>",
      "orderType": "<string>",
      "fixOrdType": "<string>",
      "timeInForce": "<string>",
      "board": "<string>",
      "marketID": "<string>",
      "user": "<string>",
      "exchange": "<string>",
      "ISIN": "<string>",
      "originalPrice": 123,
      "originalQty": 123,
      "orderCurrentPrice": 123,
      "orderCurrentQty": 123,
      "filledQty": 123,
      "avgFillPrice": 123,
      "cancelledQty": 123,
      "orderText": "<string>",
      "unixUTCTimeMs": 123,
      "createunixUTCTimeMs": 123,
      "partyID": "<string>",
      "partyTraderID": "<string>",
      "quoteRespID": "<string>",
      "quoteID": "<string>",
      "persisState": "<string>",
      "algoID": "<string>",
      "positionID": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

order_id
string

Optional order identifier filter.

original_req_id
string

Filter by the order stable entry key. Trade records use the same value in original_req_id, which can be used to match orders and trades.

orig_cl_ord_id
string

Filter by the originating client order id.

account_id
string

Optional refinement. Must be one of the caller's permitted accounts — a request for an account the caller has no grant on is rejected with 403.

symbol
string

Optional trading symbol filter.

order_status
string

Optional order status filter.

from_ns
integer<int64>

Start of the time window as epoch nanoseconds.

to_ns
integer<int64>

End of the time window as epoch nanoseconds.

limit
integer

Page size. Defaults to 200; capped by the per-API max limit.

Required range: x >= 1
offset
integer

Zero-based number of records to skip.

Required range: x >= 0

Response

Orders result

Order query response.

order_id
string

Order identifier.

account_id
string

Trading account identifier.

symbol
string

Trading symbol.

order_status
string

Order status filter.

limit
integer

Maximum number of records returned.

offset
integer

Zero-based number of records skipped before returning results.

count
integer

Number of records in the response page or aggregation.

orders
object[]

Order records returned for the current page.